# Created by pyp2rpm-3.3.1
%global pypi_name django-tests

Name:           python-%{pypi_name}
Version:        1.8.3
Release:        %mkrel 6
Summary:        The Django test suite, as an installable package
Group:          Development/Python
License:        BSD
URL:            https://github.com/moreati/django-tests
Source0:        %{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
django-tests is an unofficial distribution of the Django test suite,
for third-party projects that have found it useful to build on the tests.

Neither the Django project, not the maintainers of this distribution
promise the test suite will have stable APIs. Django’s test suite is not
covered by the project’s deprecation policy. Functions, classes, modules
and entire packages will move or disappear at the drop of a patch release.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
django-tests is an unofficial distribution of the Django test suite,
for third-party projects that have found it useful to build on the tests.

Neither the Django project, not the maintainers of this distribution
promise the test suite will have stable APIs. Django’s test suite is not
covered by the project’s deprecation policy. Functions, classes, modules
and entire packages will move or disappear at the drop of a patch release.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/django_tests
%{python3_sitelib}/django_tests-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.8.3-6.mga8
+ Revision: 1535246
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 1.8.3-5.mga8
+ Revision: 1451698
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 1.8.3-4.mga8
+ Revision: 1430845
- drop python2 support

* Mon Jan 07 2019 kekepower <kekepower> 1.8.3-3.mga7
+ Revision: 1351246
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.8.3-2.mga7
+ Revision: 1288774
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 1.8.3-1.mga7
+ Revision: 1224577
- imported package python-django-tests

